from distutils.core import setup
import py2exe
import sys
import os

dsa_path = os.path.join(os.path.dirname(os.path.dirname(os.path.dirname(os.path.abspath(sys.argv[0])))), "re")
#print "dsa_path = %s"%(dsa_path)
sys.path.append(dsa_path)
import dsaversion


if len(sys.argv) == 1:
    sys.argv.append("py2exe")
    sys.argv.append("-b 1")

class Target:
    def __init__(self, **kw):
        self.__dict__.update(kw)
        self.version = "%s.%s"%(dsaversion.version_info['software_version'],
                                dsaversion.version_info['software_revision'])
        self.company_name = "Red Hat"
        self.copyright = "Copyright(C) Red Hat Inc."
        self.name = "sendMessage "


sendMessageUtil = Target(
    description = "send Message via vmchannel",
    script = "sendMessage.py"
    )

setup(
    console = [sendMessageUtil],
    zipfile=None,
    )

